%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}

%define enable_gphoto2	1
%define enable_iphone	1
%define	enable_mtp	1
%define	enable_goa	1

%define gio_major	0
%define gio_api		2.0
%define giolibname	%mklibname gio %{gio_api} %{gio_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Glib VFS library
Name:		gvfs
Version:	1.36.1
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	bash-completion
Patch0:		gvfs-music-player-mimetype.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=567235 (mageia)
Patch1:		gvfs-archive-integration.patch

# patches imported from launchpad
Patch5:		metadata-nuke-junk-data.patch
Patch6:		dont-crash-on-null-job.patch
Patch7:		handle-inactive-vfs.patch
Patch8:		ref-jobs-in-thread.patch

License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
#------------------------------------------------
BuildRequires: intltool
BuildRequires: cdda-devel
BuildRequires: expat-devel
BuildRequires: gtk-doc
BuildRequires: gettext-devel
BuildRequires: udisks2-devel
BuildRequires: libarchive-devel
BuildRequires: libatk1.0-devel
BuildRequires: libavahi-client-devel
BuildRequires: libavahi-common-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libbluez-devel
BuildRequires: libbluray-devel
BuildRequires: libcairo-devel
BuildRequires: libcdio-devel
BuildRequires: libdbus-1-devel
BuildRequires: libdbus-glib-1_2-devel
BuildRequires: libexpat1-devel
BuildRequires: libfuse-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgcrypt11
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgtk+3.0-devel
BuildRequires: libgudev1.0-devel
BuildRequires: libmtp-devel
BuildRequires: libpango1.0-devel
BuildRequires: libsecret-devel
BuildRequires: libsmbclient0-devel
BuildRequires: libsoup-devel
BuildRequires: libudev0-devel
BuildRequires: libxml2-devel
BuildRequires: libgcr-devel
BuildRequires: libpolkit1-devel
BuildRequires: libnfs-devel
BuildRequires: libgdata-devel
BuildRequires: libcdio-paranoia-devel
#------------------------------------------------
BuildConflicts: libhal-devel

%if %{enable_gphoto2}
BuildRequires:	libgphoto-devel
%endif

%if %{enable_iphone}
BuildRequires:	libimobiledevice-devel
BuildRequires:	libplist-devel
%endif

Requires:	%{libname} = %{version}-%{release}
Requires:	udisks2 glib-networking

%description
This is a Virtual File System library based on gio and Glib.

%package -n %{libname}
Group:		System/Libraries
Summary:	Glib VFS library
Requires:	%{name} >= %{version}

%description -n %{libname}
This is a Virtual File System library based on gio and Glib.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Glib VFS Library - development files
Requires:	%{libname} = %{version}
Provides:	libgvfs-devel = %{version}-%{release}

%description -n %{develname}
This is a Virtual File System library based on gio and Glib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
#autoreconf -vfi
./autogen.sh
%configure2_5x \
	--with-dbus-service-dir=%{_datadir}/dbus-1/services \
	--enable-keyring \
%if %{enable_gphoto2}
	--enable-gphoto2
%else
	--disable-gphoto2
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%find_lang gvfs

rm -f %{buildroot}%{_sysconfdir}/profile.d/gvfs-bash-completion.sh
install -Dm 644 %{SOURCE1} %buildroot%_sysconfdir/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%post
# Reload .mount files:
killall -USR1 gvfsd >&/dev/null || :
/sbin/ldconfig

%files -f gvfs.lang
%defattr(-,root,root)
%{_datadir}/applications/mount-archive.desktop
%{_datadir}/polkit-1/actions/org.gtk.vfs.file-operations.policy
%{_datadir}/polkit-1/rules.d/org.gtk.vfs.file-operations.rules
%{_sysconfdir}/bash_completion.d/gvfs
%{_bindir}/gvfs-*
%{_datadir}/dbus-1/services/org.gtk.vfs.Daemon.service
%{_datadir}/dbus-1/services/org.gtk.vfs.Metadata.service
%{_datadir}/dbus-1/services/org.gtk.vfs.UDisks2VolumeMonitor.service
%dir %{_datadir}/gvfs
%dir %{_datadir}/gvfs/mounts
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/afp-browse.mount
%{_datadir}/gvfs/mounts/afp.mount
%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/ftps.mount
%{_datadir}/gvfs/mounts/admin.mount
%{_datadir}/dbus-1/services/org.gtk.vfs.MTPVolumeMonitor.service
%{_datadir}/gvfs/mounts/mtp.mount
%{_datadir}/gvfs/mounts/recent.mount
%{_datadir}/gvfs/remote-volume-monitors/mtp.monitor
%{_datadir}/man

%dir %{_datadir}/gvfs/remote-volume-monitors
%{_datadir}/gvfs/remote-volume-monitors/udisks2.monitor
%{_datadir}/GConf/gsettings/gvfs-dns-sd.convert
%{_datadir}/glib-2.0/schemas/org.gnome.system.dns_sd.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.gvfs.enums.xml

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/gio/modules/libgioremote-volume-monitor.so
%{_libdir}/gio/modules/libgvfsdbus.so
%{_libdir}/gvfs/libgvfscommon.so
%{_libdir}/gvfs/libgvfsdaemon.so

%{_libexecdir}/gvfsd
%{_libexecdir}/gvfsd-ftp
%{_libexecdir}/gvfsd-metadata
%{_libexecdir}/gvfsd-sftp
%{_libexecdir}/gvfsd-trash
%{_libexecdir}/gvfsd-cdda
%{_libexecdir}/gvfsd-computer
%{_libexecdir}/gvfsd-dav
%{_libexecdir}/gvfsd-http
%{_libexecdir}/gvfsd-localtest
%{_libexecdir}/gvfsd-burn
%{_libexecdir}/gvfsd-dnssd
%{_libexecdir}/gvfsd-network
%{_libexecdir}/gvfsd-afp
%{_libexecdir}/gvfsd-afp-browse
%{_libexecdir}/gvfsd-smb
%{_libexecdir}/gvfsd-smb-browse
%{_libexecdir}/gvfs-mtp-volume-monitor
%{_libexecdir}/gvfs-udisks2-volume-monitor
%{_libexecdir}/gvfsd-fuse
%{_libexecdir}/gvfsd-mtp
%{_libexecdir}/gvfsd-recent
%{_libexecdir}/gvfsd-admin

%{_datadir}/gvfs/mounts/smb-browse.mount
%{_datadir}/gvfs/mounts/smb.mount
%{_datadir}/glib-2.0/schemas/org.gnome.system.smb.gschema.xml
%{_datadir}/GConf/gsettings/gvfs-smb.convert
%{_libexecdir}/gvfsd-archive
%{_datadir}/gvfs/mounts/archive.mount

%if %{enable_gphoto2}
%{_libexecdir}/gvfsd-gphoto2
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_libexecdir}/gvfs-gphoto2-volume-monitor
%{_datadir}/dbus-1/services/org.gtk.vfs.GPhoto2VolumeMonitor.service
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor
%endif

%if %{enable_iphone}
%{_libexecdir}/gvfs-afc-volume-monitor
%{_libexecdir}/gvfsd-afc
%{_datadir}/dbus-1/services/org.gtk.vfs.AfcVolumeMonitor.service
%{_datadir}/gvfs/mounts/afc.mount
%{_datadir}/gvfs/remote-volume-monitors/afc.monitor
%endif

%{_libexecdir}/gvfsd-nfs
%{_datadir}/gvfs/mounts/nfs.mount

%files -n %{develname}
%defattr(-,root,root)
%doc NEWS AUTHORS
%{_includedir}/gvfs-client


%changelog
* Sun Dec 23 2018 adrianomorselli <adrianomorselli> 1.36.1-1uplos2018
- update
